Package org.jfree.report.data

## Interface PrecomputedValueRegistry

- All Known Implementing Classes:
    `PrecomputedValueRegistryBuilder`

      public interface PrecomputedValueRegistry

  Expression precomputation processes the report in a parallel process to retrieve the final value of an function. The final value of an expression is the value the expression would return before it goes out of scope. Precomputation can be generally considered expensive, so it should be done only once. During the precomputation run, no output is generated at all. Only named data-row expressions can be precomputed.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFunction​(java.lang.String name, java.lang.Object value)` |
    `PrecomputeNode` | `currentNode()` |
    `void` | `finishElement​(PrecomputeNodeKey element)` |
    `void` | `finishElementPrecomputation​(PrecomputeNodeKey element)` |
    `void` | `startElement​(PrecomputeNodeKey element)` |
    `void` | `startElementPrecomputation​(PrecomputeNodeKey element)` |

- - ### Method Detail

    - #### startElement

          void startElement​(PrecomputeNodeKey element)

    - #### finishElement

          void finishElement​(PrecomputeNodeKey element)

    - #### currentNode

          PrecomputeNode currentNode()

    - #### addFunction

          void addFunction​(java.lang.String name,
                           java.lang.Object value)

    - #### startElementPrecomputation

          void startElementPrecomputation​(PrecomputeNodeKey element)

    - #### finishElementPrecomputation

          void finishElementPrecomputation​(PrecomputeNodeKey element)